Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a problem with installing the alsa driver.

Here is the compilation log:

In file included from /home/aleks/alsa-driver-1.0.25/firewire/speakers.c:5:0:
/home/aleks/alsa-driver-1.0.25/firewire/../alsa-kernel/firewire/speakers.c: В функции «fwspk_card_free»:
/home/aleks/alsa-driver-1.0.25/firewire/../alsa-kernel/firewire/speakers.c:664:2: ошибка: неявная декларация функции «fw_device_put» [-Werror=implicit-function-declaration]
/home/aleks/alsa-driver-1.0.25/firewire/../alsa-kernel/firewire/speakers.c: В функции «fwspk_probe»:
/home/aleks/alsa-driver-1.0.25/firewire/../alsa-kernel/firewire/speakers.c:721:2: ошибка: неявная декларация функции «fw_device_get» [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[3]: *** [/home/aleks/alsa-driver-1.0.25/firewire/speakers.o] Ошибка 1
make[2]: *** [/home/aleks/alsa-driver-1.0.25/firewire] Ошибка 2
make[1]: *** [_module_/home/aleks/alsa-driver-1.0.25] Ошибка 2
make[1]: Выход из каталога `/usr/src/linux-headers-3.5.0-25-generic'
make: *** [compile] Ошибка 2`
share|improve this question
add comment

1 Answer

The 1.0.25 driver package is outdated.

The drivers are part of kernel; to update the drivers, just update the kernel.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.